Skip to main content

Get unit type by ID

GEThttps://api.propexo.com/v1/unit-types/:unit_type_id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

unit_type_id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the unit type

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 1bed1bath
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: greenbay
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI_REST

    Example: null
    namestringrequired

    The name associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 1 Bed 1 Bath
    bedroomsinteger | nullnullablerequired

    The number of bedrooms associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 2
    bathroomsstring | nullnullablerequired

    The number of bathrooms associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 1.5
    bathrooms_fullinteger | nullnullablerequired

    The number of full bathrooms associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 1
    bathrooms_halfinteger | nullnullablerequired

    The number of half bathrooms associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 1
    rentable_square_feetinteger | nullnullablerequired

    The rentable square footage of the unit type

    Important

    Yardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request.

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 1000
    gross_square_feetinteger | nullnullablerequired

    The gross square footage of the unit type

    Important

    Yardi represents this as a range with a minimum and a maximum. This value is the minimum. If you'd like the maximum end of this range, we can provide custom data upon request.

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 1000
    rent_minimum_in_centsnumber | nullnullablerequired

    The minimum rent of the unit type

    Important

    This is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request.

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 75000
    rent_maximum_in_centsnumber | nullnullablerequired

    The maximum rent of the unit type

    Important

    This is based on "EffectiveRent" in Yardi. There is also a "MarketRent" set of values that we can add as a custom data upon request.

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 75000
    unit_countinteger | nullnullablerequired

    The number of units associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits

    Possible values: >= 0

    Example: 100
    deposit_amount_in_centsnumber | nullnullablerequired

    The deposit amount in cents associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 10000
    deposit_amount_rawstring | nullnullablerequired

    The raw deposit amount associated with the unit type

    InterfaceMethod
    ILS Guest Card/ItfProspect/AvailableUnits
    Example: 100.00
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum25required

    The property management system of record

    Show 13 enum values
    YARDI_RESTAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI
    Example: YARDI_REST
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/unit-types/:unit_type_id
curl https://api.propexo.com/v1/unit-types/:unit_type_id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1bed1bath",
"x_property_id": "greenbay",
"x_location_id": null,
"name": "1 Bed 1 Bath",
"bedrooms": 2,
"bathrooms": "1.5",
"bathrooms_full": 1,
"bathrooms_half": 1,
"rentable_square_feet": 1000,
"gross_square_feet": 1000,
"rent_minimum_in_cents": 75000,
"rent_maximum_in_cents": 75000,
"unit_count": 100,
"deposit_amount_in_cents": 10000,
"deposit_amount_raw": "100.00",
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI_REST",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}